module Types.Values
  ( ImageConversionSettings(..)
  , TemplatePart(..)
  , Template(..)
  ) where

import Language.Haskell.TH.Syntax (Lift)

data ImageConversionSettings = ResizeToWidth Int
  deriving (Show, Lift)

data TemplatePart = Literal String
                  | KeyValue String
  deriving (Show, Lift)

data Template = TemplateParts [TemplatePart]
  deriving (Show, Lift)
