module Evaluation.Function
  ( evalFunction
  ) where

import Types (Function(..), Value(..))

evalFunction :: Function -> Value -> Value
evalFunction f x = case (f, x) of
  (IsImageFilename, String _) ->
    Bool undefined

  (ConvertedImageFilename, String _) ->
    String undefined

  _ ->
    error "unexpected combination of function and argument type"
